package maze.searchers;

import org.junit.Test;

import maze.model.searchers.ArrayQueue;

public class ArrayQueueTest {

	@Test
	public void testRetrieval() {
		SearcherTest.testRetrieval(() -> new WrappedQueue<>(new ArrayQueue<>()));
	}

	@Test
	public void testCapacity() {
		SearcherTest.testCapacity(() -> new WrappedQueue<>(new ArrayQueue<>()));
	}
	
	@Test
	public void testFIFO() {
		QueueTest.testFIFO(() -> new ArrayQueue<>());
	}
}
